%if 0%{?fedora}
%global with_python3 1
%else
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

%global srcname jaraco-classes
%global upstreamname jaraco.classes

Name:           python-jaraco-classes
Version:        1.3
Release:        2%{?dist}
Summary:        Helper functions for inspecting and working with python classes

License:        MIT
URL:            https://pypi.python.org/pypi/%{upstreamname}/
Source0:        https://pypi.python.org/packages/source/j/%{upstreamname}/%{upstreamname}-%{version}.tar.gz
BuildArch:      noarch

Provides: python2-%{srcname} = %{version}-%{release}

Requires: python-six
BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python2-setuptools_scm
BuildRequires: python-sphinx
BuildRequires: python-pytest-runner
BuildRequires: python-six

%if 0%{?with_python3}
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-setuptools_scm
BuildRequires: python3-pytest-runner
BuildRequires: python3-six
%endif

%description
Helper functions for inspecting and working with python classes

%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary: Helper functions for inspecting and working with python classes

Requires: python3-six

%description -n python3-%{srcname}
Helper functions for inspecting and working with python classes

This package contains the version of the module designed to work with python3
%endif

%prep
%setup -q -n %{upstreamname}-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%{__python2} setup.py build
%{__python2} setup.py build_sphinx

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
rm -rf %{buildroot}
%{__python2} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%check
%{__python2} setup.py test

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

%files
%doc README.rst CHANGES.rst docs
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-%{srcname}
%doc README.rst CHANGES.rst docs
%{python3_sitelib}/*
%endif

%changelog
* Mon Jan 18 2016 Toshio Kuratomi <toshio@fedoraproject.org> - 1.3-2
- Minor cleanups

* Mon Jan 18 2016 Toshio Kuratomi <toshio@fedoraproject.org> - 1.3-1
- New upstream release; enable tests

* Mon Jan 18 2016 Toshio Kuratomi <toshio@fedoraproject.org> - 1.2.1-1
- Initial Fedora build
